#!/bin/bash

set -eux

# Setup reasonable defaults when running outside XCode.
PROJECT_DIR=${PROJECT_DIR:-$PWD}
BUILD_DIR=${PROJECT_DIR}/vbuild
INSTALL_DIR="$BUILD_DIR"/validator

if [ -d "$INSTALL_DIR" ] ; then exit ; fi

# Sync 
mkdir -p "$INSTALL_DIR"
cp -fRp "$BUILD_DIR"/root/* "$INSTALL_DIR"
cp -fRp "$BUILD_DIR"/validator-sac/* "$INSTALL_DIR"

#mkdir -p "$INSTALL_DIR"
#mkdir -p "$INSTALL_DIR"/i386
#mkdir -p "$INSTALL_DIR"/ppc
#rsync -a "$BUILD_DIR"/gettext/i386/lib/libintl.*.dylib "$INSTALL_DIR"/i386/lib
#rsync -a "$BUILD_DIR"/gettext/ppc/lib/libintl.*.dylib "$INSTALL_DIR"/ppc/lib
#rsync -a "$BUILD_DIR"/opensp/* "$INSTALL_DIR"
#rsync -a "$BUILD_DIR"/libxml/* "$INSTALL_DIR"
#rsync -a "$BUILD_DIR"/perl/* "$INSTALL_DIR"
#rsync -a "$BUILD_DIR"/validator-$VERSION-webletssi/* "$INSTALL_DIR"

set `du -sk "$INSTALL_DIR"`
ORIGSIZE=$1
pushd "$INSTALL_DIR"
rm -f README.cvs
rm -rf man
rm -rf usr
rm -rf misc
rm -rf include
rm -rf share/doc
rm -rf share/man
rm -rf share/gtk-doc
rm -rf share/aclocal
rm -rf share/locale
rm -rf ppc i386 x86_64


for I in htdocs htdocs-weblet
do
	rm -rf $I/dev
	rm -f  $I/images/[^s]*.gif
	rm -f  $I/images/header.*
	rm -f  $I/images/footer.*
	rm -f  $I/images/valid_icons/*.gif
	rm -f  $I/images/valid_icons/*.svg
	rm -f  $I/images/info_icons/*.svg
	rm -f  $I/images/markup_validation_service.*
done

rm -rf htdocs-weblet/sgml-lib

rm -rf bin
rm -rf lib/python*
rm -rf lib/pkgconf
rm -f  lib/xml2Conf.sh
rm -f  lib/*.a
rm -f  lib/*.la

find . -name '*.pod' -print -delete

# Ensure all files are writable, because some Perl modules are installed read-only.
chmod -R +w .

popd

set `du -sk "$INSTALL_DIR"`
FINALSIZE=$1
DIFFSIZE=$(($ORIGSIZE - $FINALSIZE))
echo "Saved $DIFFSIZE KiB"
